CatalogProducts
Upload import file
Uploads the CSV, TSV, or XLSX source consumed by a product import.
POST
/v1/catalog/products/import-assetsUploads the CSV, TSV, or XLSX source consumed by a product import.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Query Parameters
fileName*string
Name of the file.
sourceFormat*string
Value in
- "csv"
- "tsv"
- "xlsx"
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/octet-stream
Raw CSV, TSV, or XLSX import file.
TypeScript Definitions
Use the request body type in TypeScript.
body*file
Format
binaryResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/catalog/products/import-assets?fileName=Example+resource&sourceFormat=csv" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/octet-stream" \ -d '@./productos.csv'{ "assetId": "7204558912004325301", "fileName": "Example resource", "contentType": "example", "size": 1, "sha256": "example", "sourceFormat": "csv"}